/*
Theme Name: BORMECH Fireplaces CHILD
Theme URI: https://www.przereklamowani.pl
Description: Indywidualny motyw dla BORMECH Fireplaces
Author: PRZEREKLAMOWANI.PL
Author URI: https://www.przereklamowani.pl
Template: hello-elementor
Version: 1.0.2
Text Domain: bormech-fireplaces-child
License: GNU General Public License v3 or later.
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Tags: custom-background, custom-logo, custom-menu, featured-images
*/

@import url("../hello-elementor/style.css");

html {
    overflow-x: hidden;
    scroll-behavior: smooth;
    scroll-padding-top: 6em;
    &.blocked {
        overflow: hidden;
    }
}

.mrb-wrapper {
	padding-inline: 24px;
	@media screen and (max-width: 500px) {
		padding-inline: 16px;
	}
}

.site-main {
	overflow: hidden;
}

.mrb-fix-hamburger {
    display: flex;
    align-self: center;
	.elementor-menu-toggle {
		padding: 0;
	}
}

.mrb-balance .elementor-icon-box-description {
	text-wrap: balance;
}

.mrb-accent >.elementor-heading-title,
.mrb-accent .elementor-icon-box-title {
	padding-bottom: 10px;
	background: #F58120;
	background: linear-gradient(to bottom right, #F58120 10%, #7f0b07 50%);
	-webkit-background-clip: text;
	-webkit-text-fill-color: transparent;
}

.mrb-button {
	path {
		fill: #000000;
	}
	&:hover {
		path {
			fill: #FFFFFF;
		}
	}
}

.mrb-product-image img {
	aspect-ratio: 1.2 / 1;
    object-fit: contain;
    object-position: center;
}

.mrb-catalog-content {
	padding-top: 24px;
	padding-left: 24px;
	isolation: isolate;
	&:before,
	&:after {
	    content: "";
		display: block;
		background: #000000;
		position: absolute;
	}
	&:before {
		top: 0px;
		left: -15px;
		width: 1px;
        height: 60px;
	}
	&:after {
		left: 0px;
		top: -15px;
		width: 60px;
        height: 1px;
	}
	@media screen and (max-width: 880px) {
		padding-top: 16px;
		padding-left: 16px;
		&:before {
			left: -8px;
		}
		&:after {
			top: -8px;
		}
	}
	@media screen and (max-width: 550px) {
		padding-top: 8px;
		padding-left: 8px;
	}
}

.mrb-catalog-details {
	padding-bottom: 24px;
	padding-right: 24px;
	&:before,
	&:after {
	    content: "";
		display: block;
		background: #000000;
		position: absolute;
	}
	&:before {
		bottom: 0px;
		right: -15px;
		width: 1px;
        height: 60px;
	}
	&:after {
		right: 0px;
		bottom: -15px;
		width: 60px;
        height: 1px;
	}
	@media screen and (max-width: 1024px) {
		&:before,
		&:after{
			display: none;
		}
	}
}

.mrb-catalog-image {
	padding-bottom: 24px;
	padding-left: 24px;
	&:before,
	&:after {
	    content: "";
		display: block;
		background: #000000;
		position: absolute;
	}
	&:before {
		top: auto;
		bottom: 0px;
		left: -15px;
		width: 1px;
        height: 60px;
	}
	&:after {
		left: 0px;
		bottom: -15px;
		width: 60px;
        height: 1px;
	}
	@media screen and (max-width: 1024px) {
		padding-left: 0px;
		padding-right: 24px;
		&:before {
			left: auto;
			right: -15px
		}
		&:after {
			left: auto;
			right: 0;
		}
	}
	@media screen and (max-width: 880px) {
		padding-bottom: 16px;
		padding-right: 16px;
		&:before {
			right: -8px;
			bottom: 8px;
		}
		&:after {
			bottom: 0px;
		}
	}
	@media screen and (max-width: 550px) {
		padding-bottom: 24px;
		padding-right: 8px;
	}
}

.mrb-catalog-bg {
	top: auto;
	bottom: -28px !important;
	width: 100%;
	pointer-events: none;
}